class Displayer:
    def __str__(self):
        res = '%s:\n' % self.__class__.__name__
        for key in self.__dict__.keys():
            res += ('%s => %s\n' % (key, self.__dict__[key]))
        return res        
        
class Contact(Displayer):
    """
    a contact record
    """
    def __init__(self, name, phone, notes=None):
        self.name  = name
        self.phone = phone        
        self.notes = [] if notes is None else notes
    def areaCode(self):
        """
        strip off first 3 characters
        """
        return self.phone[:3]
    def addNote(self, newnote):
        """
        add a new string to the notes list
        """
        self.notes.append(newnote)        

if __name__ == '__main__':
    contact1 = Contact('Bob Smith', '303-867-5309', ['manager'])
    contact2 = Contact('Sue Jones', '970-123-4567')
    print contact1
    print contact2
    print contact1.areaCode()
    contact2.addNote('developer')
    print contact2
