import sys
fname = sys.argv[1]

totals = [0] * 4                       # hardcoded # cols
for line in open(fname):               # counter loop
    cols = line.split(',')
    for ix in range(len(cols)):
        totals[ix] += float(cols[ix])
print totals
        

totals = [0] * 4                       # hardcoded # cols
for line in open(fname):               # enumerate indexes
    cols = line.split(',')
    for (ix, val) in enumerate(cols):
        totals[ix] += float(val)
print totals


totals = []                            # fixed # cols
for line in open(fname):               # but not hardcoded
    cols = line.split(',')
    if not totals:
        totals = [0] * len(cols)
    for (ix, val) in enumerate(cols):
        totals[ix] += float(val)
print totals


totals = []                            # zip vs nested for
for line in open(fname):
    cols = line.split(',')
    if not totals:
        totals = [0] * len(cols)
    totals = [x + float(y) for (x, y) in zip(totals, cols)]
print totals


totals = []
for line in open(fname):                # variable # cols
    cols = line.split(',')              # via exceptions
    for (ix, val) in enumerate(cols):
        try:
            totals[ix] += float(val)
        except IndexError:
            totals.append(float(val))
print totals


totals = {}                             # variable # cols
for line in open(fname):                # via dict totals
    cols = line.split(',')
    for (ix, val) in enumerate(cols):
        totals[ix] = totals.get(ix, 0) + float(val)
print sorted(totals.items())
        

