import time
outerReps = 1000
innerReps = range(10000)
innerSize = len(innerReps)

def tester(func, args=(), outerReps=outerReps):
    start = time.clock()
    for i in range(outerReps):
        func(*args)
    return time.clock() - start

def whileLoop():
    i = 0
    res = []
    while i < innerSize:
        res.append(abs(i))
        i += 1
    return res
    
def forLoop():
    res = []
    for i in innerReps:
        res.append(abs(i))
    return res

def listComp():
    return [abs(i) for i in innerReps]

def mapCall():
    return map(abs, innerReps)

if __name__ == '__main__':
    for func in (whileLoop, forLoop, listComp, mapCall):
        print func.__name__, '=>', tester(func)



  
