import time
outerRept = 1000
innerRept = 1000
innerList = range(innerRept)

def timer(func, args=(), rept=outerRept):
    start = time.clock()
    for i in range(rept):
        func(*args)
    return time.clock() - start

def whileLoop():
    res = []
    i = 0
    while i < innerRept:
        res.append(abs(i))
        i += 1
    return res

def forLoop():
    res = []
    for x in innerList:
        res.append(abs(x))
    return res

def listComp():
    return [abs(x) for x in innerList]

def mapCall():
    return map(abs, innerList)

if __name__ == '__main__':
    for func in (whileLoop, forLoop, listComp, mapCall):
        print func.__name__, '=>', timer(func)


